Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class OneColorBasedResource

    java.lang.Object
      org.richfaces.renderkit.html.images.OneColorBasedResource

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  InputErrorIcon

    public abstract class OneColorBasedResource

extends java.lang.Object
implements org.richfaces.resource.Java2DUserResource, org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

Constructor Summary
`OneColorBasedResource(java.lang.String basicColorParamName)`

Method Summary
`protected java.awt.Color` | `getBasicColor()` Gets value of basicColor field.
`abstract java.awt.Dimension` | `getDimension()`
`java.lang.String` | `getEntityTag(javax.faces.context.FacesContext context)`
`java.util.Date` | `getExpires(javax.faces.context.FacesContext context)`
`org.richfaces.resource.ImageType` | `getImageType()`
`java.util.Date` | `getLastModified()`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
`int` | `getTimeToLive(javax.faces.context.FacesContext context)`
`boolean` | `isCacheable(javax.faces.context.FacesContext context)`
`boolean` | `isTransient()`
`abstract void` | `paint(java.awt.Graphics2D graphics2d, java.awt.Dimension dimension)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneColorBasedResource

    public OneColorBasedResource(java.lang.String basicColorParamName)

Method Detail

### getBasicColor

    protected java.awt.Color getBasicColor()

  Gets value of basicColor field.

  Returns:
    value of basicColor field

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### isCacheable

    public boolean isCacheable(javax.faces.context.FacesContext context)

  Specified by:
    `isCacheable` in interface `org.richfaces.resource.CacheableResource`

### getExpires

    public java.util.Date getExpires(javax.faces.context.FacesContext context)

  Specified by:
    `getExpires` in interface `org.richfaces.resource.CacheableResource`

### getTimeToLive

    public int getTimeToLive(javax.faces.context.FacesContext context)

  Specified by:
    `getTimeToLive` in interface `org.richfaces.resource.CacheableResource`

### getEntityTag

    public java.lang.String getEntityTag(javax.faces.context.FacesContext context)

  Specified by:
    `getEntityTag` in interface `org.richfaces.resource.CacheableResource`

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `org.richfaces.resource.Java2DUserResource`

### getLastModified

    public java.util.Date getLastModified()

  Specified by:
    `getLastModified` in interface `org.richfaces.resource.Java2DUserResource`

### getImageType

    public org.richfaces.resource.ImageType getImageType()

  Specified by:
    `getImageType` in interface `org.richfaces.resource.Java2DUserResource`

### getDimension

    public abstract java.awt.Dimension getDimension()

  Specified by:
    `getDimension` in interface `org.richfaces.resource.Java2DUserResource`

### paint

    public abstract void paint(java.awt.Graphics2D graphics2d,
                               java.awt.Dimension dimension)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.